# MongoCursor::rewind

(PECL mongo >=0.9.0)

MongoCursor::rewind — Returns the cursor to the beginning of the result set

### Description

public MongoCursor::rewind ( void ) : void

This is identical to the function:

`<?php
public function rewind() {
$this->reset();
$this->next();
}
?>`

### Parameters

This function has no parameters.

### Return Values

`NULL`.

### Errors/Exceptions

Throws MongoConnectionException if it cannot reach the database and MongoCursorTimeoutException if the timeout is exceeded.

### See Also

- Iterator::rewind() - Rewind the Iterator to the first element